Subject: Re: bug#9810: cw in viper mode clobbers clipboard

From: Bob Nnamtrop <[email-masked]>
Date: Thu, 20 Oct 2011 14:28:14 -0600

On Thu, Oct 20, 2011 at 12:46 PM, Stefan Monnier
<[email-masked]> wrote:
>> Right after you type 'cw' nothing in the buffer is erased. The word is
>> hi-lighted but that is it. So it should not change any selection at
>
> That's what is supposed to happen now that select-active-regions
> defaults to t.

I like the behavior of select-active-regions when it is set to t.
However, I do not consider the selected word when one does 'cw' an
active region (in the usual emacs sense). It is a vi construct
independent of emacs active regions and so it need not honor the
select-active-regions setting.

I am curious what other long-time viper mode users think about this
change in behavior (note that I no idea if any of the responders to
this bug report are viper users or not).

Bob